basexclient(1)

NAME
basexclient - XML database system and XPath/XQuery processor (client mode)

SYNOPSIS
basexclient [-bcdiInopPqrRsUvVwxz] [input]

OPTIONS
A short description of option can be obtained from

    $ basexclient -h

or by browsing https://docs.basex.org/wiki/Command-Line_Options#Client

DESCRIPTION
basexclient starts a basex(1) XML database client in order to connect to a running instance of basexserver(1).

Per default basexclient tries to connect to a basexserver(1) running on localhost port 1984.

Connecting to a basexserver(1) requires the knowledge of a username and its corresponding credentials. For user management refer to basexserver(1) or the BaseX Documentation Wiki (https://docs.basex.org/wiki/User_Management)

OPTIONS
A short description of option can be obtained from

    $ basexclient -h

or by browsing https://docs.basex.org/wiki/Startup_Options#BaseX_Client

SEE ALSO
basexserver(1), basex(1), basexgui(1)

   .basexhome                can be created by a user to mark a folder as home directory.
   .basex                    BaseX (standalone and server) properties
   .basexgui                 BaseX additional GUI properties
   .basexhistory             contains commands that have been typed in most recently.
   ${basexhome}/data         Default database directory
   ${basexhome}/data/.logs   Server logs
   ${basexhome}/repo         Package repository

BaseX Documentation Wiki: https://docs.basex.org

HISTORY
BaseX started as a research project of the Database and Information Systems Group (DBIS) at the University of Konstanz in 2005 and soon turned into a feature-rich open source XML database and XPath/XQuery processor.

LICENSE
New (3-clause) BSD License

AUTHOR
BaseX is primarily developed by Christian Gruen <cg@basex.org> with the help of various contributors <https://basex.org/about/open-source/>

The man page was written by Alexander Holupirek <alex@holupirek.de> while packaging BaseX for Debian GNU/Linux.